GOGUI(1)

NAME
gogui - Graphical user interface for Go programs.

SYNOPSIS

gogui [-analyze command] [-auto] [-computer-black | -computer-both | -computer-none] [-command command] [-config file] [-fast] [-gtpfile filename] [-komi value] [-laf name] [-move n] [-program command] [-rules chinese | japanese] [-size n] [-time timespec] [-verbose] [file.sgf]

gogui -help

gogui -version

DESCRIPTION

GoGui is a graphical interface to programs that play the game of Go and use GTP (Go Text Protocol).

OPTIONS

-analyze command
    Initialize analyze command and automatically run it after changes on the board. Works only for commands not containing wildcards.

-auto
    Automatically start a new game, if the program plays both colors and a game is finished.

-command command
    Send GTP command at startup. The argument can contain multiple commands separated by '\n'.

-computer-black
    Computer plays black.

-computer-both
    Computer plays both sides.

-computer-none
    Computer plays no side.

-config file
    Read command line options and arguments from file.

-fast
    Use simple and fast graphics for board.

-gtpfile filename
    Send GTP file at startup.

-help
    Display help and exit.

-komi value
    Set the komi value.

-laf name
    Set Swing look and feel. If this option is not used, GoGui tries to use plasticxp (jwindows on Windows), but shows no error if the look and feel is not found. If the option is used, the name can be an empty string for the default look and feel of the Java implementation, a full class name, or one of the following shortcuts:

    cross
        UIManager.getCrossPlatformLookAndFeelClassName()

    motif
        com.sun.java.swing.plaf.motif.MotifLookAndFeel

    gtk com.sun.java.swing.plaf.gtk.GTKLookAndFeel

    jwindows
        com.jgoodies.looks.windows.WindowsLookAndFeel

    plasticxp
        com.jgoodies.looks.plastic.PlasticXPLookAndFeel

    system
        UIManager.getSystemLookAndFeelClassName()

    windows
        com.sun.java.swing.plaf.windows.WindowsLookAndFeel

-move n
    Load SGF file until move number.

-program command
    Go program to attach.

-rules chinese | japanese
    Set rules.

-size n
    Set board size.

-time timespec
    Set time limits (min[+min/moves]).

-verbose
    Print debugging messages.

-version
    Print version and exit.